Method: customers.reports.countChromeProfileVersions

Generate report of installed Chrome versions on managed profiles.

HTTP request

GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:countChromeProfileVersions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customer

string

Required. Customer id or "my_customer" to use the customer associated to the account making the request.

Query parameters

Parameters
orgUnitId

string

The ID of the organizational unit. If omitted, all data will be returned.

pageSize

integer

Optional. Maximum number of results to return. Maximum and default are 100.

pageToken

string

Optional. Token to specify the page of the request to be returned.

filter

string

Optional. Query string to filter results, AND-separated fields in EBNF syntax.

Note: OR operations are not supported in this filter.

Supported filter fields:

  • last_active_date

Request body

The request body must be empty.

Response body

Response containing requested managed profile versions details and counts.

If successful, the response body contains data with the following structure:

JSON representation
{
  "profileBrowserVersions": [
    {
      object (BrowserVersion)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
profileBrowserVersions[]

object (BrowserVersion)

List of all browser versions reported for profiles and their install counts.

nextPageToken

string

Token to specify the next page of the request.

totalSize

integer

Total number browser versions matching request.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/chrome.management.reports.readonly